Bug 1276557 - Clarity on the performance impacting parameters
Clarity on the performance impacting parameters
Status: NEW
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.0.0
other Linux
low Severity low
: ---
: ---
Assigned To: Maciej Swiderski
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 02:54 EDT by Balaji Kesavan
Modified: 2016-01-18 14:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Balaji Kesavan 2015-10-30 02:54:35 EDT
Description of problem:
We have performance problems in our application that uses JBPM and we are looking into several aspects. While investigating, we cannot find the meaning of the following parameters being used. Would it be possbile to provide an explanation on the following configuration parameters as to how and why are used by the jBPM.
jbpm.cfg
   queue.consumer.thread
   jbpm.scheduler.reservation.size
   jbpm.scheduler.reservation.time
   job-executor threads
   idle
   idle-max
   lock
   jobsPerTransaction
   minWaitTime
   jobsToMinWaitTime

bee.properties	
        job.taskExecutor.pool.size
	job.taskExecutor.corePool.size
	job.throttleLimit 
	job.default.skip.limit




Version-Release number of selected component (if applicable):


How reproducible:
This is more of a query, not a bug. So no reproducible test case.

Steps to Reproduce:
1. N/A
2.
3.

Actual results:
N/A

Expected results:
N/A

Additional info:
Comment 2 Balaji Kesavan 2015-11-02 02:52:53 EST
Hi,

Any updates? We really need some documentation on these parameters.

Note You need to log in before you can comment on or make changes to this bug.